Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class Name

    java.lang.Object
      com.servingxml.util.Name

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  PooledName, QualifiedName

    public abstract class Name

extends java.lang.Object
implements java.lang.Comparable

01/05/15

Field Summary
`static Name` | `EMPTY`

Constructor Summary
`Name()`

Method Summary
`static Name` | `createName(java.lang.String localName)` Creates a name from the local name, where the namespace URI and prefix are empty strings.
`static Name` | `createName(java.lang.String qname, PrefixMap prefixMap)`
`static Name` | `createName(java.lang.String namespaceUri, java.lang.String localName)` Creates a name from the namespace URI and local name
`abstract java.lang.String` | `getLocalName()`
`abstract java.lang.String` | `getNamespaceUri()`
`abstract boolean` | `isEmpty()`
`static Name` | `parse(java.lang.String name)` Parses a string to create a name
`abstract java.lang.String` | `toQname(PrefixMap prefixMap)`
`abstract java.lang.String` | `toQname(QnameContext context)`
`abstract java.lang.String` | `toUri()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### EMPTY

    public static final Name EMPTY

Constructor Detail

### Name

    public Name()

Method Detail

### isEmpty

    public abstract boolean isEmpty()

### getNamespaceUri

    public abstract java.lang.String getNamespaceUri()

### getLocalName

    public abstract java.lang.String getLocalName()

### toUri

    public abstract java.lang.String toUri()

### toQname

    public abstract java.lang.String toQname(QnameContext context)

### toQname

    public abstract java.lang.String toQname(PrefixMap prefixMap)

### parse

    public static Name parse(java.lang.String name)

  Parses a string to create a name

  Parameters:
    `name` - A name, which may begin with a namespace URI in curly braces ({}).

### createName

    public static Name createName(java.lang.String localName)

  Creates a name from the local name, where the namespace URI and prefix are empty strings.

### createName

    public static Name createName(java.lang.String namespaceUri,
                                  java.lang.String localName)

  Creates a name from the namespace URI and local name

### createName

    public static Name createName(java.lang.String qname,
                                  PrefixMap prefixMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD